> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/legacy/vm/image/deleteimages.md).

# DeleteImages

## 1. 接口描述

本接口(DeleteImages)用于删除一个或多个镜像。

{% hint style="info" %}
**注意事项**

* 每个地域最多只支持创建**5**个自定义镜像，删除自定义镜像可以释放账户的配额。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称     | 必选 | 类型              | 描述            |
| -------- | -- | --------------- | ------------- |
| imageIds | 是  | Array of String | 将要被删除的镜像ID集合。 |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 删除一个或多个镜像。**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteImages
<Common Request Params>

Request:
{
  "imageIds": [
    "img-zCcHQB9u"
  ]
}

Response:
{
  "requestId": "TD8F9911F-E2FC-46FF-97CC-7C7127350B46",
  "response": {
    "requestId": "TD8F9911F-E2FC-46FF-97CC-7C7127350B46"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
